<?xml version="1.0" encoding="utf-8"?>
<ScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <androidx.appcompat.widget.AppCompatButton
            android:id="@+id/btn_load_native_in_recyclerview"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="原生模板广告在RecyclerView中运用"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.appcompat.widget.AppCompatButton
            android:id="@+id/btn_load_native"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="加载广告"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.appcompat.widget.AppCompatButton
            android:id="@+id/btn_show_native"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="显示广告"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.appcompat.widget.AppCompatButton
            android:id="@+id/btn_load_and_show"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="加载并显示广告"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.appcompat.widget.AppCompatTextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="此处为getNativeAdView, 自定义布局不用写在此界面，通过addView添加到界面中" />

        <LinearLayout
            android:id="@+id/ll_ad_content"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical" />

        <androidx.appcompat.widget.AppCompatTextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="16dp"
            android:text="原生模板广告自行加载填充模式，在Xml NativeAdView中设置好配置， View中自动完成加载" />

        <com.composition.android.lib.ad.widget.NativeAdView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:ad_admob_native_ad_view_layout="@layout/layout_admob_native_ad_view_root"
            app:ad_auto_populate="true"
            app:ad_gro_more_tt_native_ad_view_layout="@layout/layout_admob_native_ad_view_root"
            app:ad_slot_name="NativeTemplate" />
    </LinearLayout>
</ScrollView>
